Modify

Ticket #452 (closed defect: fixed)

Opened 15 years ago

Last modified 15 years ago

building an RPM from source fails

Reported by: [email protected] Owned by: desai
Priority: major Milestone: Bcfg2 0.9.5 Release
Component: bcfg2-client Version:
Keywords: Cc:

Description

Trying to use bdist_rpm command to make an RPM. Here is the output:

[email protected]:~/bcfg2-0.9.3$ python setup.py bdist_rpm
running bdist_rpm
writing 'build/bdist.linux-i686/rpm/SPECS/Bcfg2.Server.spec'
running sdist
warning: sdist: missing required meta-data: url
reading manifest file 'MANIFEST'
creating Bcfg2.Server-0.9.1a
creating Bcfg2.Server-0.9.1a/src
creating Bcfg2.Server-0.9.1a/src/lib
creating Bcfg2.Server-0.9.1a/src/lib/Client
creating Bcfg2.Server-0.9.1a/src/lib/Client/Tools
creating Bcfg2.Server-0.9.1a/src/lib/Server
creating Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase
creating Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/hostbase
creating Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
creating Bcfg2.Server-0.9.1a/src/lib/Server/Reports
creating Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports
creating Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/templatetags
creating Bcfg2.Server-0.9.1a/src/lib/tlslite
creating Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
creating Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
creating Bcfg2.Server-0.9.1a/src/sbin
making hard links in Bcfg2.Server-0.9.1a...
hard linking README -> Bcfg2.Server-0.9.1a
hard linking setup.py -> Bcfg2.Server-0.9.1a
hard linking src/lib/Logging.py -> Bcfg2.Server-0.9.1a/src/lib
hard linking src/lib/Options.py -> Bcfg2.Server-0.9.1a/src/lib
hard linking src/lib/__init__.py -> Bcfg2.Server-0.9.1a/src/lib
hard linking src/lib/Client/Frame.py -> Bcfg2.Server-0.9.1a/src/lib/Client
hard linking src/lib/Client/Proxy.py -> Bcfg2.Server-0.9.1a/src/lib/Client
hard linking src/lib/Client/XML.py -> Bcfg2.Server-0.9.1a/src/lib/Client
hard linking src/lib/Client/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/Client
hard linking src/lib/Client/Tools/APT.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/Action.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/Blast.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/Chkconfig.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/DebInit.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/Encap.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/POSIX.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/Portage.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/PostInstall.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/RPM.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/RPMng.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/RcUpdate.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/SMF.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/SYSV.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/YUMng.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/Yum.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/launchd.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Client/Tools/rpmtools.py -> Bcfg2.Server-0.9.1a/src/lib/Client/Tools
hard linking src/lib/Server/Component.py -> Bcfg2.Server-0.9.1a/src/lib/Server
hard linking src/lib/Server/Core.py -> Bcfg2.Server-0.9.1a/src/lib/Server
hard linking src/lib/Server/Plugin.py -> Bcfg2.Server-0.9.1a/src/lib/Server
hard linking src/lib/Server/Statistics.py -> Bcfg2.Server-0.9.1a/src/lib/Server
hard linking src/lib/Server/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/Server
hard linking src/lib/Server/Hostbase/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase
hard linking src/lib/Server/Hostbase/backends.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase
hard linking src/lib/Server/Hostbase/ldapauth.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase
hard linking src/lib/Server/Hostbase/manage.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase
hard linking src/lib/Server/Hostbase/nisauth.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase
hard linking src/lib/Server/Hostbase/regex.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase
hard linking src/lib/Server/Hostbase/settings.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase
hard linking src/lib/Server/Hostbase/urls.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase
hard linking src/lib/Server/Hostbase/hostbase/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/hostbase
hard linking src/lib/Server/Hostbase/hostbase/models.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/hostbase
hard linking src/lib/Server/Hostbase/hostbase/views.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/hostbase
hard linking src/lib/Server/Plugins/Account.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/Base.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/Bundler.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/Cfg.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/Deps.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/Hostbase.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/Metadata.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/Pkgmgr.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/Rules.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/SSHbase.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/Svcmgr.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/TCheetah.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/Vhost.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Plugins/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Plugins
hard linking src/lib/Server/Reports/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports
hard linking src/lib/Server/Reports/backends.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports
hard linking src/lib/Server/Reports/importscript.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports
hard linking src/lib/Server/Reports/manage.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports
hard linking src/lib/Server/Reports/nisauth.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports
hard linking src/lib/Server/Reports/settings.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports
hard linking src/lib/Server/Reports/urls.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports
hard linking src/lib/Server/Reports/reports/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports
hard linking src/lib/Server/Reports/reports/models.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports
hard linking src/lib/Server/Reports/reports/views.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports
hard linking src/lib/Server/Reports/reports/templatetags/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/templatetags
hard linking src/lib/Server/Reports/reports/templatetags/django_templating_sigh.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/templatetags
hard linking src/lib/Server/Reports/reports/templatetags/syntax_coloring.py -> Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/templatetags
hard linking src/lib/tlslite/BaseDB.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/Checker.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/FileObject.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/HandshakeSettings.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/Session.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/SessionCache.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/SharedKeyDB.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/TLSConnection.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/TLSRecordLayer.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/VerifierDB.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/X509.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/X509CertChain.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/api.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/constants.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/errors.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/mathtls.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/messages.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite
hard linking src/lib/tlslite/integration/AsyncStateMachine.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/integration/ClientHelper.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/integration/HTTPTLSConnection.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/integration/IMAP4_TLS.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/integration/IntegrationHelper.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/integration/POP3_TLS.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/integration/SMTP_TLS.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/integration/TLSAsyncDispatcherMixIn.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/integration/TLSSocketServerMixIn.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/integration/TLSTwistedProtocolWrapper.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/integration/XMLRPCTransport.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/integration/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/integration
hard linking src/lib/tlslite/utils/AES.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/ASN1Parser.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/Cryptlib_AES.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/Cryptlib_RC4.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/Cryptlib_TripleDES.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/OpenSSL_AES.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/OpenSSL_RC4.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/OpenSSL_RSAKey.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/OpenSSL_TripleDES.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/PyCrypto_AES.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/PyCrypto_RC4.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/PyCrypto_RSAKey.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/PyCrypto_TripleDES.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/Python_AES.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/Python_RC4.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/Python_RSAKey.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/RC4.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/RSAKey.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/TripleDES.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/__init__.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/cipherfactory.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/codec.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/compat.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/cryptomath.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/dateFuncs.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/hmac.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/jython_compat.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/keyfactory.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/rijndael.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/lib/tlslite/utils/xmltools.py -> Bcfg2.Server-0.9.1a/src/lib/tlslite/utils
hard linking src/sbin/bcfg2 -> Bcfg2.Server-0.9.1a/src/sbin
hard linking src/sbin/bcfg2-admin -> Bcfg2.Server-0.9.1a/src/sbin
hard linking src/sbin/bcfg2-build-reports -> Bcfg2.Server-0.9.1a/src/sbin
hard linking src/sbin/bcfg2-info -> Bcfg2.Server-0.9.1a/src/sbin
hard linking src/sbin/bcfg2-ping-sweep -> Bcfg2.Server-0.9.1a/src/sbin
hard linking src/sbin/bcfg2-query -> Bcfg2.Server-0.9.1a/src/sbin
hard linking src/sbin/bcfg2-repo-validate -> Bcfg2.Server-0.9.1a/src/sbin
hard linking src/sbin/bcfg2-server -> Bcfg2.Server-0.9.1a/src/sbin
tar -cf dist/Bcfg2.Server-0.9.1a.tar Bcfg2.Server-0.9.1a
gzip -f9 dist/Bcfg2.Server-0.9.1a.tar
removing 'Bcfg2.Server-0.9.1a' (and everything under it)
copying dist/Bcfg2.Server-0.9.1a.tar.gz -> build/bdist.linux-i686/rpm/SOURCES
building RPMs
rpmbuild -ba --define _topdir /home/jeld/bcfg2-0.9.3/build/bdist.linux-i686/rpm --clean build/bdist.linux-i686/rpm/SPECS/Bcfg2.Server.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.96918
+ umask 022
+ cd /home/jeld/bcfg2-0.9.3/build/bdist.linux-i686/rpm/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/jeld/bcfg2-0.9.3/build/bdist.linux-i686/rpm/BUILD
+ rm -rf Bcfg2.Server-0.9.1a
+ /bin/gzip -dc /home/jeld/bcfg2-0.9.3/build/bdist.linux-i686/rpm/SOURCES/Bcfg2.Server-0.9.1a.tar.gz
+ tar -xvvf -
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/
-rw-r--r-- jeld/jeld      2193 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/setup.py
-rw-r--r-- jeld/jeld       208 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/PKG-INFO
-rw-r--r-- jeld/jeld       716 2006-09-05 12:19:39 Bcfg2.Server-0.9.1a/README
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/sbin/
-rwxr-xr-x jeld/jeld       951 2006-09-15 12:15:17 Bcfg2.Server-0.9.1a/src/sbin/bcfg2-query
-rwxr-xr-x jeld/jeld     12955 2007-02-28 20:18:14 Bcfg2.Server-0.9.1a/src/sbin/bcfg2-build-reports
-rwxr-xr-x jeld/jeld      9081 2007-03-28 17:24:20 Bcfg2.Server-0.9.1a/src/sbin/bcfg2-server
-rwxr-xr-x jeld/jeld      2283 2006-09-14 22:41:44 Bcfg2.Server-0.9.1a/src/sbin/bcfg2-ping-sweep
-rwxr-xr-x jeld/jeld     19924 2007-04-03 08:47:24 Bcfg2.Server-0.9.1a/src/sbin/bcfg2-admin
-rwxr-xr-x jeld/jeld      7665 2007-02-12 11:36:03 Bcfg2.Server-0.9.1a/src/sbin/bcfg2-info
-rwxr-xr-x jeld/jeld      3068 2007-01-16 10:27:05 Bcfg2.Server-0.9.1a/src/sbin/bcfg2-repo-validate
-rwxr-xr-x jeld/jeld     10084 2007-04-06 09:22:16 Bcfg2.Server-0.9.1a/src/sbin/bcfg2
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/tlslite/
-rwxr-xr-x jeld/jeld      7476 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/constants.py
-rwxr-xr-x jeld/jeld      3470 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/SessionCache.py
-rwxr-xr-x jeld/jeld      6807 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/FileObject.py
-rwxr-xr-x jeld/jeld     11647 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/mathtls.py
-rwxr-xr-x jeld/jeld      5795 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/errors.py
-rwxr-xr-x jeld/jeld      1129 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/__init__.py
-rwxr-xr-x jeld/jeld      6364 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/HandshakeSettings.py
-rwxr-xr-x jeld/jeld      1914 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/SharedKeyDB.py
-rwxr-xr-x jeld/jeld     44158 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/TLSRecordLayer.py
-rwxr-xr-x jeld/jeld      6301 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/Checker.py
-rwxr-xr-x jeld/jeld      6861 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/X509CertChain.py
-rwxr-xr-x jeld/jeld     70347 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/TLSConnection.py
-rwxr-xr-x jeld/jeld      3508 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/BaseDB.py
-rwxr-xr-x jeld/jeld      4287 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/X509.py
-rwxr-xr-x jeld/jeld      2965 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/api.py
-rwxr-xr-x jeld/jeld      4733 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/Session.py
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/
-rwxr-xr-x jeld/jeld      1014 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/Python_RC4.py
-rwxr-xr-x jeld/jeld       796 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/__init__.py
-rwxr-xr-x jeld/jeld      2121 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/Python_AES.py
-rwxr-xr-x jeld/jeld     11341 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/rijndael.py
-rwxr-xr-x jeld/jeld       958 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/AES.py
-rwxr-xr-x jeld/jeld      4060 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/compat.py
-rwxr-xr-x jeld/jeld       587 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/OpenSSL_RC4.py
-rwxr-xr-x jeld/jeld       960 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/ASN1Parser.py
-rwxr-xr-x jeld/jeld      8575 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/RSAKey.py
-rwxr-xr-x jeld/jeld      1364 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/Cryptlib_AES.py
-rwxr-xr-x jeld/jeld      1822 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/OpenSSL_AES.py
-rwxr-xr-x jeld/jeld       529 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/PyCrypto_RC4.py
-rwxr-xr-x jeld/jeld       610 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/PyCrypto_TripleDES.py
-rwxr-xr-x jeld/jeld      2771 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/codec.py
-rwxr-xr-x jeld/jeld       577 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/PyCrypto_AES.py
-rwxr-xr-x jeld/jeld      2181 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/dateFuncs.py
-rwxr-xr-x jeld/jeld      3286 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/hmac.py
-rwxr-xr-x jeld/jeld      1814 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/PyCrypto_RSAKey.py
-rwxr-xr-x jeld/jeld      5270 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/jython_compat.py
-rwxr-xr-x jeld/jeld       930 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/Cryptlib_RC4.py
-rwxr-xr-x jeld/jeld      8791 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/keyfactory.py
-rwxr-xr-x jeld/jeld      5014 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/OpenSSL_RSAKey.py
-rwxr-xr-x jeld/jeld      3177 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/cipherfactory.py
-rwxr-xr-x jeld/jeld      7358 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/xmltools.py
-rwxr-xr-x jeld/jeld       768 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/TripleDES.py
-rwxr-xr-x jeld/jeld     11559 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/cryptomath.py
-rwxr-xr-x jeld/jeld       458 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/RC4.py
-rwxr-xr-x jeld/jeld      7707 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/Python_RSAKey.py
-rwxr-xr-x jeld/jeld      1408 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/Cryptlib_TripleDES.py
-rwxr-xr-x jeld/jeld      1666 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/utils/OpenSSL_TripleDES.py
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/
-rwxr-xr-x jeld/jeld      7198 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/AsyncStateMachine.py
-rwxr-xr-x jeld/jeld       458 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/__init__.py
-rwxr-xr-x jeld/jeld      5466 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/POP3_TLS.py
-rwxr-xr-x jeld/jeld      5145 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/IMAP4_TLS.py
-rwxr-xr-x jeld/jeld      4739 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/SMTP_TLS.py
-rwxr-xr-x jeld/jeld      7033 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/TLSTwistedProtocolWrapper.py
-rwxr-xr-x jeld/jeld      5842 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/XMLRPCTransport.py
-rwxr-xr-x jeld/jeld      4878 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/TLSAsyncDispatcherMixIn.py
-rwxr-xr-x jeld/jeld      2203 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/TLSSocketServerMixIn.py
-rwxr-xr-x jeld/jeld      6668 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/HTTPTLSConnection.py
-rwxr-xr-x jeld/jeld      1839 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/IntegrationHelper.py
-rwxr-xr-x jeld/jeld      7021 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/integration/ClientHelper.py
-rwxr-xr-x jeld/jeld     18429 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/messages.py
-rwxr-xr-x jeld/jeld      3104 2007-03-12 12:22:51 Bcfg2.Server-0.9.1a/src/lib/tlslite/VerifierDB.py
-rw-r--r-- jeld/jeld       115 2006-04-10 16:38:45 Bcfg2.Server-0.9.1a/src/lib/__init__.py
-rw-r--r-- jeld/jeld      6535 2007-03-20 23:30:40 Bcfg2.Server-0.9.1a/src/lib/Logging.py
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/Server/
-rw-r--r-- jeld/jeld      3522 2007-02-10 08:55:01 Bcfg2.Server-0.9.1a/src/lib/Server/Statistics.py
-rw-r--r-- jeld/jeld       234 2006-11-22 16:55:29 Bcfg2.Server-0.9.1a/src/lib/Server/__init__.py
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/
-rwxr-xr-x jeld/jeld     14989 2006-11-22 16:55:29 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/importscript.py
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/
-rw-r--r-- jeld/jeld        27 2007-02-02 20:24:19 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/__init__.py
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/templatetags/
-rw-r--r-- jeld/jeld         0 2006-06-15 11:43:07 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/templatetags/__init__.py
-rw-r--r-- jeld/jeld      1693 2006-11-22 16:55:29 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/templatetags/django_templating_sigh.py
-rw-r--r-- jeld/jeld       630 2007-02-06 16:44:17 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/templatetags/syntax_coloring.py
-rw-r--r-- jeld/jeld     16913 2007-01-12 16:49:23 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/views.py
-rw-r--r-- jeld/jeld     10277 2006-08-03 00:53:30 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/reports/models.py
-rw-r--r-- jeld/jeld      3305 2007-01-12 16:49:23 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/urls.py
-rw-r--r-- jeld/jeld        91 2007-02-02 17:30:38 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/__init__.py
-rw-r--r-- jeld/jeld      1380 2006-11-22 17:39:00 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/nisauth.py
-rw-r--r-- jeld/jeld       959 2006-11-03 11:52:42 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/backends.py
-rw-r--r-- jeld/jeld      3307 2007-02-02 17:30:38 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/settings.py
-rwxr-xr-x jeld/jeld       546 2006-06-15 11:43:07 Bcfg2.Server-0.9.1a/src/lib/Server/Reports/manage.py
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/
-rw-r--r-- jeld/jeld      1367 2007-01-18 11:41:20 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/Base.py
-rw-r--r-- jeld/jeld      5011 2005-12-13 16:38:02 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/Vhost.py
-rw-r--r-- jeld/jeld     16871 2007-04-11 14:37:22 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/Cfg.py
-rw-r--r-- jeld/jeld       199 2006-11-22 17:51:30 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/__init__.py
-rw-r--r-- jeld/jeld     18682 2007-04-16 14:02:41 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/Metadata.py
-rw-r--r-- jeld/jeld      6240 2007-01-18 11:30:43 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/TCheetah.py
-rw-r--r-- jeld/jeld     27607 2007-04-23 15:37:19 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/Hostbase.py
-rw-r--r-- jeld/jeld      8386 2007-04-05 15:30:36 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/SSHbase.py
-rw-r--r-- jeld/jeld       347 2006-04-10 16:15:20 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/Rules.py
-rw-r--r-- jeld/jeld      1536 2007-01-18 11:41:20 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/Bundler.py
-rw-r--r-- jeld/jeld       350 2006-04-10 16:01:43 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/Svcmgr.py
-rw-r--r-- jeld/jeld      4043 2007-03-12 17:25:23 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/Account.py
-rw-r--r-- jeld/jeld      3842 2006-08-03 10:16:35 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/Deps.py
-rw-r--r-- jeld/jeld      4456 2007-03-27 13:59:15 Bcfg2.Server-0.9.1a/src/lib/Server/Plugins/Pkgmgr.py
-rw-r--r-- jeld/jeld     11366 2007-04-17 13:35:50 Bcfg2.Server-0.9.1a/src/lib/Server/Component.py
-rw-r--r-- jeld/jeld     13951 2007-04-03 08:47:24 Bcfg2.Server-0.9.1a/src/lib/Server/Plugin.py
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/
-rw-r--r-- jeld/jeld      1866 2007-02-16 18:08:33 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/urls.py
-rw-r--r-- jeld/jeld         0 2006-08-29 12:33:36 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/__init__.py
-rw-r--r-- jeld/jeld      1463 2007-02-16 18:08:33 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/nisauth.py
-rw-r--r-- jeld/jeld       234 2006-11-13 14:47:03 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/regex.py
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/hostbase/
-rw-r--r-- jeld/jeld         0 2006-08-29 12:33:36 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/hostbase/__init__.py
-rw-r--r-- jeld/jeld     48954 2007-02-16 18:07:20 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/hostbase/views.py
-rw-r--r-- jeld/jeld      5794 2007-04-23 15:34:24 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/hostbase/models.py
-rw-r--r-- jeld/jeld      2056 2006-11-06 16:23:07 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/backends.py
-rw-r--r-- jeld/jeld      4180 2007-04-23 15:34:24 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/settings.py
-rw-r--r-- jeld/jeld      6410 2006-10-26 15:42:14 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/ldapauth.py
-rwxr-xr-x jeld/jeld       546 2006-08-29 12:33:36 Bcfg2.Server-0.9.1a/src/lib/Server/Hostbase/manage.py
-rw-r--r-- jeld/jeld     13574 2006-12-28 12:06:58 Bcfg2.Server-0.9.1a/src/lib/Server/Core.py
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/Client/
-rw-r--r-- jeld/jeld       126 2006-10-06 17:06:16 Bcfg2.Server-0.9.1a/src/lib/Client/__init__.py
-rw-r--r-- jeld/jeld      9374 2007-03-20 12:29:04 Bcfg2.Server-0.9.1a/src/lib/Client/Proxy.py
-rw-r--r-- jeld/jeld       970 2007-01-16 11:01:57 Bcfg2.Server-0.9.1a/src/lib/Client/XML.py
drwxr-xr-x jeld/jeld         0 2007-06-21 14:09:42 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/
-rw-r--r-- jeld/jeld     48077 2007-04-18 20:33:02 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/RPMng.py
-rw-r--r-- jeld/jeld      1647 2007-02-15 12:01:37 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/Yum.py
-rw-r--r-- jeld/jeld      2156 2007-01-16 11:01:57 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/Encap.py
-rw-r--r-- jeld/jeld     14487 2007-04-11 17:40:13 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/POSIX.py
-rw-r--r-- jeld/jeld     11215 2007-04-11 14:39:21 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/__init__.py
-rw-r--r-- jeld/jeld      5925 2007-01-08 16:54:14 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/SMF.py
-rw-r--r-- jeld/jeld     16951 2007-04-18 20:33:02 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/YUMng.py
-rw-r--r-- jeld/jeld      4319 2007-02-25 11:03:43 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/launchd.py
-rw-r--r-- jeld/jeld      3364 2007-02-27 20:25:51 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/SYSV.py
-rw-r--r-- jeld/jeld      2633 2007-04-05 12:13:30 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/DebInit.py
-rw-r--r-- jeld/jeld      5133 2007-01-24 15:22:30 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/RPM.py
-rwxr-xr-x jeld/jeld     37884 2007-04-10 20:14:59 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/rpmtools.py
-rw-r--r-- jeld/jeld       620 2006-10-06 17:06:16 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/PostInstall.py
-rw-r--r-- jeld/jeld      2695 2007-02-25 11:03:43 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/Portage.py
-rw-r--r-- jeld/jeld      2549 2007-04-06 15:05:36 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/Chkconfig.py
-rw-r--r-- jeld/jeld      1179 2007-02-02 10:34:37 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/Blast.py
-rw-r--r-- jeld/jeld      4825 2007-01-20 10:47:18 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/APT.py
-rw-r--r-- jeld/jeld      2409 2007-02-25 11:03:43 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/RcUpdate.py
-rw-r--r-- jeld/jeld      2501 2007-03-10 11:17:11 Bcfg2.Server-0.9.1a/src/lib/Client/Tools/Action.py
-rw-r--r-- jeld/jeld     14723 2007-04-05 14:26:46 Bcfg2.Server-0.9.1a/src/lib/Client/Frame.py
-rw-r--r-- jeld/jeld      3545 2007-04-07 12:52:48 Bcfg2.Server-0.9.1a/src/lib/Options.py
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd Bcfg2.Server-0.9.1a
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.96918
+ umask 022
+ cd /home/jeld/bcfg2-0.9.3/build/bdist.linux-i686/rpm/BUILD
+ cd Bcfg2.Server-0.9.1a
+ LANG=C
+ export LANG
+ unset DISPLAY
+ python setup.py build
running build
running build_py
creating build
creating build/lib
creating build/lib/Bcfg2
copying src/lib/__init__.py -> build/lib/Bcfg2
copying src/lib/Logging.py -> build/lib/Bcfg2
copying src/lib/Options.py -> build/lib/Bcfg2
creating build/lib/Bcfg2/Server
copying src/lib/Server/Statistics.py -> build/lib/Bcfg2/Server
copying src/lib/Server/__init__.py -> build/lib/Bcfg2/Server
copying src/lib/Server/Component.py -> build/lib/Bcfg2/Server
copying src/lib/Server/Plugin.py -> build/lib/Bcfg2/Server
copying src/lib/Server/Core.py -> build/lib/Bcfg2/Server
creating build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/Base.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/Vhost.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/Cfg.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/__init__.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/Metadata.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/TCheetah.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/Hostbase.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/SSHbase.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/Rules.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/Bundler.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/Svcmgr.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/Account.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/Deps.py -> build/lib/Bcfg2/Server/Plugins
copying src/lib/Server/Plugins/Pkgmgr.py -> build/lib/Bcfg2/Server/Plugins
creating build/lib/Bcfg2/Server/Hostbase
copying src/lib/Server/Hostbase/urls.py -> build/lib/Bcfg2/Server/Hostbase
copying src/lib/Server/Hostbase/__init__.py -> build/lib/Bcfg2/Server/Hostbase
copying src/lib/Server/Hostbase/nisauth.py -> build/lib/Bcfg2/Server/Hostbase
copying src/lib/Server/Hostbase/regex.py -> build/lib/Bcfg2/Server/Hostbase
copying src/lib/Server/Hostbase/backends.py -> build/lib/Bcfg2/Server/Hostbase
copying src/lib/Server/Hostbase/settings.py -> build/lib/Bcfg2/Server/Hostbase
copying src/lib/Server/Hostbase/ldapauth.py -> build/lib/Bcfg2/Server/Hostbase
copying src/lib/Server/Hostbase/manage.py -> build/lib/Bcfg2/Server/Hostbase
creating build/lib/Bcfg2/Server/Hostbase/hostbase
copying src/lib/Server/Hostbase/hostbase/__init__.py -> build/lib/Bcfg2/Server/Hostbase/hostbase
copying src/lib/Server/Hostbase/hostbase/views.py -> build/lib/Bcfg2/Server/Hostbase/hostbase
copying src/lib/Server/Hostbase/hostbase/models.py -> build/lib/Bcfg2/Server/Hostbase/hostbase
creating build/lib/Bcfg2/Client
copying src/lib/Client/__init__.py -> build/lib/Bcfg2/Client
copying src/lib/Client/Proxy.py -> build/lib/Bcfg2/Client
copying src/lib/Client/XML.py -> build/lib/Bcfg2/Client
copying src/lib/Client/Frame.py -> build/lib/Bcfg2/Client
creating build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/RPMng.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/Yum.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/Encap.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/POSIX.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/__init__.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/SMF.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/YUMng.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/launchd.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/SYSV.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/DebInit.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/RPM.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/rpmtools.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/PostInstall.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/Portage.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/Chkconfig.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/Blast.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/APT.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/RcUpdate.py -> build/lib/Bcfg2/Client/Tools
copying src/lib/Client/Tools/Action.py -> build/lib/Bcfg2/Client/Tools
creating build/lib/Bcfg2/Server/Reports
copying src/lib/Server/Reports/importscript.py -> build/lib/Bcfg2/Server/Reports
copying src/lib/Server/Reports/urls.py -> build/lib/Bcfg2/Server/Reports
copying src/lib/Server/Reports/__init__.py -> build/lib/Bcfg2/Server/Reports
copying src/lib/Server/Reports/nisauth.py -> build/lib/Bcfg2/Server/Reports
copying src/lib/Server/Reports/backends.py -> build/lib/Bcfg2/Server/Reports
copying src/lib/Server/Reports/settings.py -> build/lib/Bcfg2/Server/Reports
copying src/lib/Server/Reports/manage.py -> build/lib/Bcfg2/Server/Reports
creating build/lib/Bcfg2/Server/Reports/reports
copying src/lib/Server/Reports/reports/__init__.py -> build/lib/Bcfg2/Server/Reports/reports
copying src/lib/Server/Reports/reports/views.py -> build/lib/Bcfg2/Server/Reports/reports
copying src/lib/Server/Reports/reports/models.py -> build/lib/Bcfg2/Server/Reports/reports
creating build/lib/Bcfg2/Server/Reports/reports/templatetags
copying src/lib/Server/Reports/reports/templatetags/__init__.py -> build/lib/Bcfg2/Server/Reports/reports/templatetags
copying src/lib/Server/Reports/reports/templatetags/django_templating_sigh.py -> build/lib/Bcfg2/Server/Reports/reports/templatetags
copying src/lib/Server/Reports/reports/templatetags/syntax_coloring.py -> build/lib/Bcfg2/Server/Reports/reports/templatetags
creating build/lib/Bcfg2/tlslite
copying src/lib/tlslite/constants.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/SessionCache.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/FileObject.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/mathtls.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/errors.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/__init__.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/HandshakeSettings.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/SharedKeyDB.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/TLSRecordLayer.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/Checker.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/X509CertChain.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/TLSConnection.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/BaseDB.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/X509.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/api.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/Session.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/messages.py -> build/lib/Bcfg2/tlslite
copying src/lib/tlslite/VerifierDB.py -> build/lib/Bcfg2/tlslite
creating build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/Python_RC4.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/__init__.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/Python_AES.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/rijndael.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/AES.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/compat.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/OpenSSL_RC4.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/ASN1Parser.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/RSAKey.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/Cryptlib_AES.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/OpenSSL_AES.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/PyCrypto_RC4.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/PyCrypto_TripleDES.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/codec.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/PyCrypto_AES.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/dateFuncs.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/hmac.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/PyCrypto_RSAKey.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/jython_compat.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/Cryptlib_RC4.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/keyfactory.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/OpenSSL_RSAKey.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/cipherfactory.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/xmltools.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/TripleDES.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/cryptomath.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/RC4.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/Python_RSAKey.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/Cryptlib_TripleDES.py -> build/lib/Bcfg2/tlslite/utils
copying src/lib/tlslite/utils/OpenSSL_TripleDES.py -> build/lib/Bcfg2/tlslite/utils
creating build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/AsyncStateMachine.py -> build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/__init__.py -> build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/POP3_TLS.py -> build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/IMAP4_TLS.py -> build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/SMTP_TLS.py -> build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/TLSTwistedProtocolWrapper.py -> build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/XMLRPCTransport.py -> build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/TLSAsyncDispatcherMixIn.py -> build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/TLSSocketServerMixIn.py -> build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/HTTPTLSConnection.py -> build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/IntegrationHelper.py -> build/lib/Bcfg2/tlslite/integration
copying src/lib/tlslite/integration/ClientHelper.py -> build/lib/Bcfg2/tlslite/integration
running build_scripts
creating build/scripts-2.5
copying and adjusting src/sbin/bcfg2-query -> build/scripts-2.5
copying and adjusting src/sbin/bcfg2-build-reports -> build/scripts-2.5
copying and adjusting src/sbin/bcfg2-server -> build/scripts-2.5
copying and adjusting src/sbin/bcfg2-ping-sweep -> build/scripts-2.5
copying and adjusting src/sbin/bcfg2-admin -> build/scripts-2.5
copying and adjusting src/sbin/bcfg2-info -> build/scripts-2.5
copying and adjusting src/sbin/bcfg2-repo-validate -> build/scripts-2.5
copying and adjusting src/sbin/bcfg2 -> build/scripts-2.5
changing mode of build/scripts-2.5/bcfg2-query from 644 to 755
changing mode of build/scripts-2.5/bcfg2-build-reports from 644 to 755
changing mode of build/scripts-2.5/bcfg2-server from 644 to 755
changing mode of build/scripts-2.5/bcfg2-ping-sweep from 644 to 755
changing mode of build/scripts-2.5/bcfg2-admin from 644 to 755
changing mode of build/scripts-2.5/bcfg2-info from 644 to 755
changing mode of build/scripts-2.5/bcfg2-repo-validate from 644 to 755
changing mode of build/scripts-2.5/bcfg2 from 644 to 755
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.96918
+ umask 022
+ cd /home/jeld/bcfg2-0.9.3/build/bdist.linux-i686/rpm/BUILD
+ cd Bcfg2.Server-0.9.1a
+ LANG=C
+ export LANG
+ unset DISPLAY
+ python setup.py install --root=/var/tmp/Bcfg2.Server-0.9.1a-1-buildroot --record=INSTALLED_FILES
running install
running build
running build_py
running build_scripts
running install_lib
running install_scripts
copying build/scripts-2.5/bcfg2-query -> /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin
copying build/scripts-2.5/bcfg2-build-reports -> /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin
copying build/scripts-2.5/bcfg2-server -> /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin
copying build/scripts-2.5/bcfg2-ping-sweep -> /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin
copying build/scripts-2.5/bcfg2-admin -> /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin
copying build/scripts-2.5/bcfg2-info -> /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin
copying build/scripts-2.5/bcfg2-repo-validate -> /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin
copying build/scripts-2.5/bcfg2 -> /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin
changing mode of /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin/bcfg2-query to 755
changing mode of /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin/bcfg2-build-reports to 755
changing mode of /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin/bcfg2-server to 755
changing mode of /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin/bcfg2-ping-sweep to 755
changing mode of /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin/bcfg2-admin to 755
changing mode of /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin/bcfg2-info to 755
changing mode of /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin/bcfg2-repo-validate to 755
changing mode of /var/tmp/Bcfg2.Server-0.9.1a-1-buildroot/usr/bin/bcfg2 to 755
running install_data
error: can't copy 'man/bcfg2.1': doesn't exist or not a regular file
error: Bad exit status from /var/tmp/rpm-tmp.96918 (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.96918 (%install)
error: command 'rpmbuild' failed with exit status 1

Attachments

Change History

comment:1 Changed 15 years ago by desai

  • Status changed from new to assigned
  • Milestone set to Bcfg2 0.9.5 Release

This now works properly for me with bcfg2-0.9.5pre1 on SLES9. Does it still fail for you, and if so, what distro are you using?

-nld

comment:2 Changed 15 years ago by desai

  • Status changed from assigned to closed
  • Resolution set to fixed

WARNING! You need to establish a session before you can create or edit tickets. Otherwise the ticket will get treated as spam.

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.